//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#include "StdHeaders.h"

#include "ControlsContainer.h"

#include "Dialog.h"

using namespace VectorWorks::VWUI;

VWControlsContainer::VWControlsContainer(TControlID id)
: VWControl( id )
{
}

VWControlsContainer::~VWControlsContainer()
{
}

bool VWControlsContainer::CreateControl(VWDialog* pDlg)
{
	return VWControl::CreateControl( pDlg );
}

void VWControlsContainer::AddFirstGroupControl(VWControl* pControl)
{
	if ( fpParentDlg ) {
		VERIFYN( kVStanev, ::GS_SetFirstGroupItem( gCBP, fpParentDlg->GetControlID(), fControlID, pControl->GetControlID() ) );
		fpParentDlg->AddControl( pControl );
	}
}
